//Delivery tube
//This is a mess!
//First end (leaving flask) is at < 0, 0, 0>

#include "chem_text.inc"   //Textures

#declare Tube_Radius = 0.167
#declare First_Part_Outer =
merge{
    cylinder{
      < 0, -4, 0>, < 0, 0.001, 0>, Tube_Radius
      translate< 1+Tube_Radius, -1-Tube_Radius, 0>
    }
  intersection{
    torus{
      1+Tube_Radius, Tube_Radius
      rotate 90*x
    }
    plane{ y, 0.0 inverse}
    plane{ x, 0.0 inverse}
    translate< 0, -1-Tube_Radius, 0>
  }
  cylinder{
    < -2.5-0.001, 0, 0>, < 0.001, 0, 0>, Tube_Radius
  }
  translate< 2.5, 0, 0>
}

#declare Tube_Radius = 0.167-0.0625 // 1/16 glass thickness
#declare First_Part_Inner =
merge{
    cylinder{
      < 0, -5, 0>, < 0, 0.001, 0>, Tube_Radius
      translate< 1+Tube_Radius, -1-Tube_Radius, 0>
    }
  intersection{
    torus{
      1+Tube_Radius, Tube_Radius
      rotate 90*x
    }
    plane{ y, 0.0 inverse}
    plane{ x, 0.0 inverse}
    translate< 0, -1-Tube_Radius, 0>
  }
  cylinder{
    < -2.5-0.001, 0, 0>, < 0.001, 0, 0>, Tube_Radius
  }
  translate< 2.5, 0, 0>
}

#declare Tube_Radius = 0.167
#declare Second_Part_Outer =
merge{
  intersection{
    torus{
      1+Tube_Radius, Tube_Radius
        rotate 90*x
    }
    plane{ x, 0.0}
    plane{ x, 0.0 rotate 60*z inverse}
  }
  cylinder{
    < -0.01, 0, 0>, < 14, 0, 0>, Tube_Radius
    rotate -120*z
    translate< -( 1+Tube_Radius)*sin( radians( 60)), ( 1+Tube_Radius)*cos( radians( 60)), 0>
  }
  translate< 0, -1-Tube_Radius, 0>
}

#declare Tube_Radius = 0.167-0.0625 // 1/16 glass thickness
#declare Second_Part_Inner =
merge{
  intersection{
    torus{
      1+Tube_Radius, Tube_Radius
        rotate 90*x
    }
    plane{ x, 0.0}
    plane{ x, 0.0 rotate 60*z inverse}
  }
  cylinder{
    < -0.01, 0, 0>, < 15, 0, 0>, Tube_Radius
    rotate -120*z
    translate< -( 1+Tube_Radius)*sin( radians( 60)), ( 1+Tube_Radius)*cos( radians( 60)), 0>
  }
  translate< 0, -1-Tube_Radius, 0>
}

#declare Tube_Outer =
merge{
  object{ First_Part_Outer}
  object{ Second_Part_Outer}
}

#declare Tube_Inner =
merge{
  object{ First_Part_Inner}
  object{ Second_Part_Inner}
}

#declare Tube =
intersection{
  object{ Tube_Outer}
  object{
    Tube_Inner
    inverse
  }
  translate< -2.5, 0, 0>
  translate< -1-Tube_Radius, 1+Tube_Radius, 0>
  translate< 0, 4, 0>
  texture{ Glass}
}


