//Round bottomed flask
//Centre of bottom is at < 0, 0, 0>

#include "chem_text.inc"   //Textures

#declare Flask_Outer =
intersection{
  blob {
    threshold .5
    sphere{   < 0, 0, 0>, 3,               1.2 }
    cylinder{ < 0, 0, 0>, < 0, 5, 0>, .75, 1.2 }
    sphere{   < 0, 5, 0>, 0.6,             1.0 }
    scale 1.6
  }
  plane{
    y, -2.0
    inverse
  }
  plane{
    y, 8.0
  }
  translate< 0, 2, 0>
}

#declare Flask_Inner =
intersection{
  blob {
    threshold .5
    sphere{   < 0, 0, 0>, 3.2,             1.2 } //diff radius
    cylinder{ < 0, 0, 0>, < 0, 6, 0>, .75, 1.2 } //diff cylinder height
    sphere{   < 0, 6, 0>, 0.6,             1.0 } //diff sphere height
    scale 1.4
  }
  plane{
    y, -2.0
    inverse
  }
  plane{
    y, 8.1
  }
  translate< 0, 2, 0>
}

#declare Flask =
intersection{
  object{ Flask_Outer}
  object{
    Flask_Inner
    inverse
  }
  texture{ Glass}
}


#declare Flask_Acid =
intersection{
  cylinder{
    < 0, -1, 0>, < 0, 1.5, 0>, 4
    texture{ Water}
  }
  object{
    Flask_Inner
    texture{ Glass}
  }
}
